<div>
    <h2 id="page-heading">
        <span>Blood Types</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-blood-type" [routerLink]="['/blood-type/new']">
            <fa-icon icon="plus"></fa-icon>
            <span>
            Create a new Blood Type
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="bloodTypes?.length === 0">
        <span>No bloodTypes found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="bloodTypes && bloodTypes.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr>
                    <th scope="col" ><span>ID</span></th>
                    <th scope="col" ><span>Name</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let bloodType of bloodTypes ;trackBy: trackId">
                    <td><a [routerLink]="['/blood-type', bloodType.id, 'view']">{{ bloodType.id }}</a></td>
                    <td>{{ bloodType.name }}</td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/blood-type', bloodType.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/blood-type', bloodType.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(bloodType)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
